import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import TwitchRedemptionService from '../services/twitch-redemption.service';
import TwitchRedemption from '../models/twitch-redemption';

@Injectable({ providedIn: 'root' })
export default class TwitchRedemptionResolver implements Resolve<TwitchRedemption[]> {
  constructor(private service: TwitchRedemptionService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<TwitchRedemption[]> {
    return this.service.fetch();
  }
}