import { NgModule } from '@angular/core';
import { RedemptionListComponent } from './redemption-list/redemption-list.component';
import { RedemptionsComponent } from './redemptions/redemptions.component';
import { TwitchRedemptionDropdownComponent } from './twitch-redemption-dropdown/twitch-redemption-dropdown.component';
import RedemptionService from '../shared/services/redemption.service';



@NgModule({
  declarations: [],
  imports: [
    RedemptionListComponent,
    RedemptionsComponent,
    TwitchRedemptionDropdownComponent,
  ],
  providers: [
    RedemptionService
  ]
})
export class RedemptionsModule { }
