import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import RedemptionService from '../services/redemption.service';
import Redemption from '../models/redemption';

@Injectable({ providedIn: 'root' })
export default class RedemptionResolver implements Resolve<Redemption[]> {
  constructor(private service: RedemptionService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Redemption[]> {
    return this.service.fetch();
  }
}